./math/ruby-gsl, Ruby interface to GNU Scientific Library

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 2.1.0.3, Package name: ruby23-gsl-2.1.0.3, Maintainer: pkgsrc-users

Ruby/GSL, a ruby interface to GSL (GNU Scientific library).


Required to run:
[math/gsl] [lang/ruby23-base]

Required to build:
[pkgtools/cwrappers]

Master sites:

SHA1: 29b39e2d88d627bc0c82c866d571fa7ce607f2b0
RMD160: d7d6105a61dbebbf01d9ff7ba39e8f92324a627a
Filesize: 718 KB

Version history: (Expand)


CVS history: (Expand)


   2017-06-05 16:30:52 by Takahiro Kambe | Files touched by this commit (2) | Package updated
Log message:
Update ruby-gsl to 2.1.0.3.

* Suppress warnings in Ruby 2.4 by suppressing use of Fixnum.
   2017-03-20 14:27:02 by Takahiro Kambe | Files touched by this commit (3) | Package updated
Log message:
Update ruby-gsl to 2.1.0.2.

2.1.0.2

- Enhancements

  * Support for assigning Ruby Complex types to GSL::Matrix::Complex. (@v0dro)
  * Support for 2D interpolation by exposing GSLs interp2d and
    spline2d. (@v0dro)
  * Support for Ruby 2.4. (@badlamer)

- Fixes

  * Fix NArray superclass mismatch problem. (@v0dro)
   2016-10-15 16:42:10 by Takahiro Kambe | Files touched by this commit (2) | Package updated
Log message:
Update ruby-gsl to 2.1.0.1.

AFAIR, pkgsrc's ruby23-base dose not met below problem but here is changes:

* Gem was not compiling on Ruby 2.3.0 due to non-availability of
  correct headers. This minor release fixes that problem.
   2016-03-12 14:38:33 by Thomas Klausner | Files touched by this commit (3) | Package updated
Log message:
Update ruby-gsl to 2.1.0.

This version comes with extra Linux tmp files; reported upstream as
	https://github.com/SciRuby/rb-gsl/issues/34

Changes:

Support for gsl-2.1.0.
Support for nmatrix (not in pkgsrc yet)
   2015-11-04 00:33:46 by Alistair G. Crooks | Files touched by this commit (262)
Log message:
Add SHA512 digests for distfiles for math category

Problems found locating distfiles:
	Package dfftpack: missing distfile dfftpack-20001209.tar.gz
	Package eispack: missing distfile eispack-20001130.tar.gz
	Package fftpack: missing distfile fftpack-20001130.tar.gz
	Package linpack: missing distfile linpack-20010510.tar.gz
	Package minpack: missing distfile minpack-20001130.tar.gz
	Package odepack: missing distfile odepack-20001130.tar.gz
	Package py-networkx: missing distfile networkx-1.10.tar.gz
	Package py-sympy: missing distfile sympy-0.7.6.1.tar.gz
	Package quadpack: missing distfile quadpack-20001130.tar.gz

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.
   2015-09-13 16:37:10 by Takahiro Kambe | Files touched by this commit (3) | Package updated
Log message:
Update ruby-gsl to 1.16.0.6.

== Thu Jul 03 2015
* Ruby/GSL 1.16.0.6
  * rb-gsl and gsl are now the same gem

== Thu Jul 02 2015
* Ruby/GSL 1.16.0.5
  * Optional narray support
  * Drop Ruby 1.8 support
  * Drop support for GSL < 1.15
   2015-03-08 16:19:13 by Takahiro Kambe | Files touched by this commit (11) | Package removed
Log message:
Update ruby-gsl to 1.16.0.4.

* Switch to rb-gsl gem.

Fri Dec 19 2014
  * Ruby/GSL 1.16.0.4
    * Optimize and extract multiplication and division operations on Fixnum
      and Float. Pull request #8 by Veselin Vasilev.
    * Fixed division in GSL::Oper for GSL::Vector::Col. Issue #9.

Tue Oct 21 2014
  * Ruby/GSL 1.16.0.3
    * Fixed RDoc issues. Issue #6 by @bigtunacan.
    * Fixed $LOAD_PATH problem. Pull request #7 by Takahiro SATOH.

Wed Jul  9 2014
  * Ruby/GSL 1.16.0.2
    * Fixed linking problem.

Thu Apr 24 2014
  * Ruby/GSL 1.16.0.1
    * Extensive cleanup.
    * Fixed linking problems.
    * Required Ruby version >= 1.8.7.

Fri Jan 24 2014
  * Ruby/GSL 1.16.0
    * GSL-1.16 support.
   2014-03-26 14:25:26 by Takahiro Kambe | Files touched by this commit (8)
Log message:
Fix build problem with ruby21.